Bug 174306 - [maintainer] news/nzbget: update to 9.0
[maintainer] news/nzbget: update to 9.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Steve Wills
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-09 22:50 UTC by Toxic
Modified: 2013-02-17 20:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.22 KB, patch)
2012-12-09 22:50 UTC, Toxic
no flags Details | Diff
nzbget.txt (4.03 KB, text/plain; charset=us-ascii)
2012-12-10 02:17 UTC, Alex Kozlov
no flags Details
nzbget-to-9.1.diff (4.28 KB, patch)
2013-01-26 03:28 UTC, Toxic
no flags Details | Diff
patch.txt (4.35 KB, text/plain; charset=us-ascii)
2013-02-12 08:48 UTC, spam
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toxic 2012-12-09 22:50:00 UTC
Update to nzbget 9.0, released on December 9th.

Please note that the patches previously contained in files/patch-TLS.cpp have been incorporated upstream, so this file should be removed.

Fix: Apply Patch.
Remove files/patch-TLS.cpp

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-12-09 22:50:07 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Alex Kozlov freebsd_committer 2012-12-10 01:52:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ak

I'll take it.
Comment 3 Alex Kozlov freebsd_committer 2012-12-10 02:17:37 UTC
Hi, Jeff

What do you think about next changes?

- Update to 9.0
- Convert to new options framework
- Convert Makefile headers to new style
- Remove indefinite article from COMMENT
- Remove ABI version numbers from LIB_DEPENDS
- Remove LICENSE_FILE since GPLv2 is in Templates/Licenses


-- 
Alex
Comment 4 Alex Kozlov freebsd_committer 2012-12-10 02:18:26 UTC
State Changed
From-To: open->feedback

Ask for submitter approval.
Comment 5 Alex Kozlov freebsd_committer 2012-12-25 08:05:50 UTC
State Changed
From-To: feedback->open

Maintainer timeout (14 days).
Comment 6 Alex Kozlov freebsd_committer 2012-12-25 08:32:04 UTC
Responsible Changed
From-To: ak->freebsd-ports-bugs

Return to the pool.
Comment 7 Toxic 2013-01-26 03:28:56 UTC
New patch attached, based mostly on Alex Kozlov's, but updated to 9.1.

- Update to 9.1
- Convert to new options framework
- Convert Makefile headers to new style
- Remove indefinite article from COMMENT
- Remove ABI version numbers from LIB_DEPENDS
- Remove LICENSE_FILE since GPLv2 is in Templates/Licenses

Sorry about letting this slide over the holidays, and so on.

-Jeff
Comment 8 spam 2013-02-12 08:48:04 UTC
Hi

There is no nzbget.conf.example in the new release, so I added
installation of nzbget.conf.sample and nzbget.conf if latter doesn't
exist already. Please see the patch.
Also please fix plist: http://people.freebsd.org/~ak/nzbget-9.1.log.bz2


-- 
Alex
Comment 9 Steve Wills freebsd_committer 2013-02-17 19:58:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

I'll take it.
Comment 10 dfilter freebsd_committer 2013-02-17 20:29:32 UTC
Author: swills
Date: Sun Feb 17 20:29:18 2013
New Revision: 312447
URL: http://svnweb.freebsd.org/changeset/ports/312447

Log:
  - Update to 9.1
  - Convert to OptionsNG
  - Trim header while here
  - Remove indefinite article from COMMENT
  - Remove ABI version numbers from LIB_DEPENDS
  - Remove LICENSE_FILE since GPLv2 is in Templates/Licenses
  - Install example config
  
  PR:		ports/174306
  PR:		ports/175851
  Submitted by:	Jeff Burchell <toxic@doobie.com> (maintainer)
  Submitted by:	Alex Kozlov <spam@rm-rf.kiev.ua>
  Submitted by:	Mark Felder <feld@feld.me>
  Approved by:	Jeff Burchell <toxic@doobie.com> (maintainer)

Added:
  head/news/nzbget/files/nzbget.in   (contents, props changed)
  head/news/nzbget/pkg-plist   (contents, props changed)
Deleted:
  head/news/nzbget/files/patch-TLS.cpp
Modified:
  head/news/nzbget/Makefile   (contents, props changed)
  head/news/nzbget/distinfo   (contents, props changed)

Modified: head/news/nzbget/Makefile
==============================================================================
--- head/news/nzbget/Makefile	Sun Feb 17 20:11:40 2013	(r312446)
+++ head/news/nzbget/Makefile	Sun Feb 17 20:29:18 2013	(r312447)
@@ -1,12 +1,7 @@
-# New ports collection makefile for:	nzbget
-# Date created:				13 April 2004
-# Whom:					Lewis Thompson <purple@lewiz.net>
-#
 # $FreeBSD$
-#
 
 PORTNAME=	nzbget
-PORTVERSION=	0.8.0
+PORTVERSION=	9.1
 CATEGORIES=	news
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}-stable/${PORTVERSION}
 
@@ -19,6 +14,7 @@ LICENSE_FILE=	${WRKSRC}/COPYING
 LIB_DEPENDS=	xml2.5:${PORTSDIR}/textproc/libxml2 \
 		sigc-2:${PORTSDIR}/devel/libsigc++20
 
+USE_RC_SUBR=	nzbget
 GNU_CONFIGURE=	yes
 CONFIGURE_ENV=	LOCALBASE="${LOCALBASE}"
 MAKE_JOBS_UNSAFE=yes
@@ -27,41 +23,35 @@ LDFLAGS+=	${PTHREAD_LIBS}
 CFLAGS+=	${PTHREAD_CFLAGS}
 USE_GMAKE=	yes
 
-OPTIONS=	PARCHECK "Enable autopar/parcheck (Requires libpar2)" On
-OPTIONS+=	TLSCHECK "Use GNUTLS for SSL" On
-OPTIONS+=	OSSLCHECK "Use OpenSSL for SSL" Off
+OPTIONS_DEFINE=	PARCHECK GNUTLS OPENSSL
+OPTIONS_DEFAULT=	PARCHECK GNUTLS
+PARCHECK_DESC=	Enable autopar/parcheck
 
-PLIST_FILES=	bin/nzbget
 PORTDOCS=	README
-PORTEXAMPLES=	nzbget.conf.example
 
 .include <bsd.port.pre.mk>
 
-.if defined (WITHOUT_PARCHECK)
-CONFIGURE_ARGS+=	--disable-parcheck
-.else
+.if ${PORT_OPTIONS:MPARCHECK}
 CONFIGURE_ARGS+=	--enable-parcheck
 LIB_DEPENDS+=	par2:${PORTSDIR}/archivers/libpar2
+.else
+CONFIGURE_ARGS+=	--without-parcheck
 .endif
 
-.if defined (WITH_OSSLCHECK)
+.if ${PORT_OPTIONS:MOPENSSL}
 CONFIGURE_ARGS+=	--with-tlslib=OpenSSL
 .endif
 
-.if defined (WITH_TLSCHECK)
+.if ${PORT_OPTIONS:MGNUTLS}
 CONFIGURE_ARGS+=	--with-tlslib=GnuTLS
 LIB_DEPENDS+=	gnutls:${PORTSDIR}/security/gnutls
 LIB_DEPENDS+=	gcrypt:${PORTSDIR}/security/libgcrypt
 .endif
 
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
 .endif
-.if !defined(NOPORTEXAMPLES)
-	${MKDIR} ${EXAMPLESDIR}
-	${INSTALL_DATA} ${WRKSRC}/nzbget.conf.example ${EXAMPLESDIR}
-.endif
 
 .include <bsd.port.post.mk>

Modified: head/news/nzbget/distinfo
==============================================================================
--- head/news/nzbget/distinfo	Sun Feb 17 20:11:40 2013	(r312446)
+++ head/news/nzbget/distinfo	Sun Feb 17 20:29:18 2013	(r312447)
@@ -1,2 +1,2 @@
-SHA256 (nzbget-0.8.0.tar.gz) = 646939596097fafdeb0b4064b433463419e7d0d9af7fe32f6689d6b95ad77d95
-SIZE (nzbget-0.8.0.tar.gz) = 321351
+SHA256 (nzbget-9.1.tar.gz) = 0cd20e1c78359c720862c19c5fd908dc10d6b54658441b86f9caaa71f66e5633
+SIZE (nzbget-9.1.tar.gz) = 658935

Added: head/news/nzbget/files/nzbget.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/news/nzbget/files/nzbget.in	Sun Feb 17 20:29:18 2013	(r312447)
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+# PROVIDE: nzbget
+# KEYWORD: shutdown
+#
+# Add the following lines to /etc/rc.conf.local or /etc/rc.conf
+# to enable this service:
+#
+# nzbget_enable (bool):	Set to NO by default.
+#			Set it to YES to enable it.
+
+. /etc/rc.subr
+
+name="nzbget"
+rcvar=nzbget_enable
+
+load_rc_config ${name}
+
+: ${nzbget_enable:="NO"}
+
+start_cmd="${name}_start"
+status_cmd="${name}_status"
+stop_cmd="${name}_stop"
+command=%%PREFIX%%/sbin/nzbgetd
+
+nzbget_start()
+{
+	echo "Starting ${name}."
+	# artificial sleep because it doesnt want to start
+	# after a restart without it
+	sleep .5
+	${command} start
+}
+
+nzbget_stop()
+{
+	echo "Stopping ${name}."
+	${command} stop
+}
+
+nzbget_status()
+{
+	${command} status
+}
+
+run_rc_command "$1"

Added: head/news/nzbget/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/news/nzbget/pkg-plist	Sun Feb 17 20:29:18 2013	(r312447)
@@ -0,0 +1,39 @@
+bin/nzbget
+bin/nzbget-postprocess.sh
+sbin/nzbgetd
+%%DATADIR%%/nzbget.conf
+%%DATADIR%%/nzbget-postprocess.conf
+%%DATADIR%%/webui/config.js
+%%DATADIR%%/webui/downloads.js
+%%DATADIR%%/webui/edit.js
+%%DATADIR%%/webui/fasttable.js
+%%DATADIR%%/webui/history.js
+%%DATADIR%%/webui/img/download-anim-green-2x.png
+%%DATADIR%%/webui/img/download-anim-orange-2x.png
+%%DATADIR%%/webui/img/favicon.ico
+%%DATADIR%%/webui/img/icons-2x.png
+%%DATADIR%%/webui/img/icons.png
+%%DATADIR%%/webui/img/transmit-file.gif
+%%DATADIR%%/webui/img/transmit-reload-2x.gif
+%%DATADIR%%/webui/img/transmit.gif
+%%DATADIR%%/webui/index.html
+%%DATADIR%%/webui/index.js
+%%DATADIR%%/webui/lib/bootstrap.css
+%%DATADIR%%/webui/lib/bootstrap.js
+%%DATADIR%%/webui/lib/bootstrap.min.js
+%%DATADIR%%/webui/lib/jquery.js
+%%DATADIR%%/webui/lib/jquery.min.js
+%%DATADIR%%/webui/messages.js
+%%DATADIR%%/webui/nzbget-postprocess.conf
+%%DATADIR%%/webui/nzbget.conf
+%%DATADIR%%/webui/status.js
+%%DATADIR%%/webui/style.css
+%%DATADIR%%/webui/upload.js
+%%DATADIR%%/webui/util.js
+%%PORTDOCS%%%%DOCSDIR%%/COPYING
+%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
+@dirrm %%DATADIR%%
+@dirrm %%DATADIR%%/webui
+@dirrm %%DATADIR%%/webui/img
+@dirrm %%DATADIR%%/webui/lib
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 11 Steve Wills freebsd_committer 2013-02-17 20:29:56 UTC
State Changed
From-To: open->closed

Committed. Thanks!